<!-- eslint-disable vue/multi-word-component-names -->
<template>
  <Page layout="public">
    <!-- Page title -->
    <h1>{{ $t('views.components.index.title') | capitalize }}</h1>

    <h2>Button</h2><!-- eslint-disable-line @intlify/vue-i18n/no-raw-text -->

    <div class="mb-8">
      <div
        v-for="(variant, index) in buttonVariants"
        :key="index"
        class="mb-4"
      >
        <VButton
          :variant="variant"
          inline
        >
          {{ variant | capitalize }}
        </VButton>

        <VButton
          :variant="variant"
          pill
          inline
        >
          {{ variant }}
        </VButton>

        <VButton
          :variant="variant"
          icon="paint-brush"
          inline
        >
          {{ variant }}
        </VButton>

        <VButton
          :variant="variant"
          icon="plus"
          icon-position="right"
          pill
          inline
        >
          {{ variant | capitalize }}
        </VButton>
      </div>
    </div>

    <h2 class="mb-6">
      <!-- eslint-disable-line @intlify/vue-i18n/no-raw-text -->
      Dropdown
    </h2>

    <div>
      <div
        v-for="(variant, index) in dropdownVariants"
        :key="index"
        class="mb-4"
      >
        <VDropdown
          v-slot="dropdown"
          :variant="variant"
          :trigger-text="variant"
        >
          <VDropdownButton
            :dropdown="dropdown"
          >
            <!-- eslint-disable-line @intlify/vue-i18n/no-raw-text -->
            Button 1
          </VDropdownButton>
        </VDropdown>
      </div>
    </div>

    <h2 class="mb-6">
      <!-- eslint-disable-line @intlify/vue-i18n/no-raw-text -->
      Toggle
    </h2>

    <div>
      <div
        v-for="(variant, index) in toggleVariants"
        :key="index"
        class="flex gap-3 items-center mb-4"
      >
        <VToggle
          :variant="variant"
          :value="false"
        />
        {{ variant }}
      </div>
    </div>
  </Page>
</template>

<script>
import VButton from '@/components/commons/buttons/VButton.vue'
import VDropdown from '@/components/commons/dropdown/VDropdown.vue'
import VToggle from '@/components/commons/toggle/VToggle.vue'

/**
 * Components page component
 */
export default {
  data () {
    return {
      // ...
    }
  },
  computed: {
    buttonVariants: function () {
      return Object.keys(VButton.style.variants)
    },
    dropdownVariants: function () {
      return Object.keys(VDropdown.style.variants)
    },
    toggleVariants: function () {
      return Object.keys(VToggle.style.variants)
    }
  },
  methods: {
    // ...
  }
}
</script>
